[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoBeginPage

Performs actions needed to begin a page for the print device.

## Declaration

Source position: printers.pas line 267

`protected procedure TPrinter.DoBeginPage; virtual;`

## Description

DoBeginPage is a virtual procedure used to perform actions needed to begin a page for the selected print device. DoBeginPage is called from the BeginPage method, and occurs after checking the printer status and incrementing the PageNumber.

Remark: | In TPrinter, DoBeginPage has an empty implementation. It must be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used in the implementation.